Clean and tiddy-up files.
[tomato.git] / release / src / router / nocat / config.status
blob124b75f1afc55e07d766aaed4bdc6dc7f2637634
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
25 DUALCASE=1; export DUALCASE # for MKS sh
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30 else
31 as_unset=false
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
41 # NLS nuisances.
42 for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
52 done
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57 else
58 as_expr=false
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63 else
64 as_basename=false
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
99 rm -f conf$$.sh
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
132 case $CONFIG_SHELL in
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156 done
158 esac
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201 else
202 as_expr=false
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218 else
219 as_ln_s='cp -p'
221 rm -f conf$$ conf$$.exe conf$$.file
223 if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225 else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
230 as_executable_p="test -f"
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
243 IFS=" $as_nl"
245 # CDPATH.
246 $as_unset CDPATH
248 exec 6>&1
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling. Logging --version etc. is OK.
253 exec 5>>config.log
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
262 This file was extended by nocat $as_me 0.93pre2, which was
263 generated by GNU Autoconf 2.59. Invocation command line was
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile src/Makefile"
275 config_headers=" src/config.h"
276 config_commands=" depfiles"
278 ac_cs_usage="\
279 \`$as_me' instantiates files from templates according to the
280 current configuration.
282 Usage: $0 [OPTIONS] [FILE]...
284 -h, --help print this help, then exit
285 -V, --version print version number, then exit
286 -q, --quiet do not print progress messages
287 -d, --debug don't remove temporary files
288 --recheck update $as_me by reconfiguring in the same conditions
289 --file=FILE[:TEMPLATE]
290 instantiate the configuration file FILE
291 --header=FILE[:TEMPLATE]
292 instantiate the configuration header FILE
294 Configuration files:
295 $config_files
297 Configuration headers:
298 $config_headers
300 Configuration commands:
301 $config_commands
303 Report bugs to <bug-autoconf@gnu.org>."
304 ac_cs_version="\
305 nocat config.status 0.93pre2
306 configured by ./configure, generated by GNU Autoconf 2.59,
307 with options \"'--host=mipsel-linux' '--build=x86_64-linux-gnu' '--with-firewall=iptables' '--with-glib-prefix=/home/vicente/tomato/release/src-rt/router/mipsel-uclibc/install/glib/usr' '--localstatedir=/var' '--sysconfdir=/etc' 'CC=mipsel-uclibc-gcc' 'build_alias=x86_64-linux-gnu' 'host_alias=mipsel-linux'\"
309 Copyright (C) 2003 Free Software Foundation, Inc.
310 This config.status script is free software; the Free Software Foundation
311 gives unlimited permission to copy, distribute and modify it."
312 srcdir=.
313 INSTALL="/usr/bin/install -c"
314 # If no file are specified by the user, then we need to provide default
315 # value. By we need to know if files were specified by the user.
316 ac_need_defaults=:
317 while test $# != 0
319 case $1 in
320 --*=*)
321 ac_option=`expr "x$1" : 'x\([^=]*\)='`
322 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323 ac_shift=:
326 ac_option=$1
327 ac_optarg=$2
328 ac_shift=shift
330 *) # This is not an option, so the user has probably given explicit
331 # arguments.
332 ac_option=$1
333 ac_need_defaults=false;;
334 esac
336 case $ac_option in
337 # Handling of the options.
338 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339 ac_cs_recheck=: ;;
340 --version | --vers* | -V )
341 echo "$ac_cs_version"; exit 0 ;;
342 --he | --h)
343 # Conflict between --help and --header
344 { { echo "$as_me:$LINENO: error: ambiguous option: $1
345 Try \`$0 --help' for more information." >&5
346 echo "$as_me: error: ambiguous option: $1
347 Try \`$0 --help' for more information." >&2;}
348 { (exit 1); exit 1; }; };;
349 --help | --hel | -h )
350 echo "$ac_cs_usage"; exit 0 ;;
351 --debug | --d* | -d )
352 debug=: ;;
353 --file | --fil | --fi | --f )
354 $ac_shift
355 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356 ac_need_defaults=false;;
357 --header | --heade | --head | --hea )
358 $ac_shift
359 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360 ac_need_defaults=false;;
361 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362 | -silent | --silent | --silen | --sile | --sil | --si | --s)
363 ac_cs_silent=: ;;
365 # This is an error.
366 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367 Try \`$0 --help' for more information." >&5
368 echo "$as_me: error: unrecognized option: $1
369 Try \`$0 --help' for more information." >&2;}
370 { (exit 1); exit 1; }; } ;;
372 *) ac_config_targets="$ac_config_targets $1" ;;
374 esac
375 shift
376 done
378 ac_configure_extra_args=
380 if $ac_cs_silent; then
381 exec 6>/dev/null
382 ac_configure_extra_args="$ac_configure_extra_args --silent"
385 if $ac_cs_recheck; then
386 echo "running /bin/sh ./configure " '--host=mipsel-linux' '--build=x86_64-linux-gnu' '--with-firewall=iptables' '--with-glib-prefix=/home/vicente/tomato/release/src-rt/router/mipsel-uclibc/install/glib/usr' '--localstatedir=/var' '--sysconfdir=/etc' 'CC=mipsel-uclibc-gcc' 'build_alias=x86_64-linux-gnu' 'host_alias=mipsel-linux' $ac_configure_extra_args " --no-create --no-recursion" >&6
387 exec /bin/sh ./configure '--host=mipsel-linux' '--build=x86_64-linux-gnu' '--with-firewall=iptables' '--with-glib-prefix=/home/vicente/tomato/release/src-rt/router/mipsel-uclibc/install/glib/usr' '--localstatedir=/var' '--sysconfdir=/etc' 'CC=mipsel-uclibc-gcc' 'build_alias=x86_64-linux-gnu' 'host_alias=mipsel-linux' $ac_configure_extra_args --no-create --no-recursion
391 # INIT-COMMANDS section.
394 AMDEP_TRUE="" ac_aux_dir="."
396 for ac_config_target in $ac_config_targets
398 case "$ac_config_target" in
399 # Handling of arguments.
400 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401 "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
402 "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
403 "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
404 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
405 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
406 { (exit 1); exit 1; }; };;
407 esac
408 done
410 # If the user did not use the arguments to specify the items to instantiate,
411 # then the envvar interface is used. Set only those that are not.
412 # We use the long form for the default assignment because of an extremely
413 # bizarre bug on SunOS 4.1.3.
414 if $ac_need_defaults; then
415 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
416 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
417 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
420 # Have a temporary directory for convenience. Make it in the build tree
421 # simply because there is no reason to put it here, and in addition,
422 # creating and moving files from /tmp can sometimes cause problems.
423 # Create a temporary directory, and hook for its removal unless debugging.
424 $debug ||
426 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
427 trap '{ (exit 1); exit 1; }' 1 2 13 15
430 # Create a (secure) tmp directory for tmp files.
433 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
434 test -n "$tmp" && test -d "$tmp"
435 } ||
437 tmp=./confstat$$-$RANDOM
438 (umask 077 && mkdir $tmp)
439 } ||
441 echo "$me: cannot create a temporary directory in ." >&2
442 { (exit 1); exit 1; }
447 # CONFIG_FILES section.
450 # No need to generate the scripts if there are no CONFIG_FILES.
451 # This happens for instance when ./config.status config.h
452 if test -n "$CONFIG_FILES"; then
453 # Protect against being on the right side of a sed subst in config.status.
454 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
455 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
456 s,@SHELL@,/bin/sh,;t t
457 s,@PATH_SEPARATOR@,:,;t t
458 s,@PACKAGE_NAME@,nocat,;t t
459 s,@PACKAGE_TARNAME@,NoCatSplash,;t t
460 s,@PACKAGE_VERSION@,0.93pre2,;t t
461 s,@PACKAGE_STRING@,nocat 0.93pre2,;t t
462 s,@PACKAGE_BUGREPORT@,schuyler@nocat.net,;t t
463 s,@exec_prefix@,/usr/local,;t t
464 s,@prefix@,/usr/local,;t t
465 s,@program_transform_name@,s,x,x,,;t t
466 s,@bindir@,${exec_prefix}/bin,;t t
467 s,@sbindir@,${exec_prefix}/sbin,;t t
468 s,@libexecdir@,${exec_prefix}/libexec,;t t
469 s,@datadir@,${prefix}/share,;t t
470 s,@sysconfdir@,/etc,;t t
471 s,@sharedstatedir@,${prefix}/com,;t t
472 s,@localstatedir@,/var,;t t
473 s,@libdir@,${exec_prefix}/lib,;t t
474 s,@includedir@,${prefix}/include,;t t
475 s,@oldincludedir@,/usr/include,;t t
476 s,@infodir@,${prefix}/info,;t t
477 s,@mandir@,${prefix}/man,;t t
478 s,@build_alias@,x86_64-linux-gnu,;t t
479 s,@host_alias@,mipsel-linux,;t t
480 s,@target_alias@,,;t t
481 s,@DEFS@,-DHAVE_CONFIG_H,;t t
482 s,@ECHO_C@,,;t t
483 s,@ECHO_N@,-n,;t t
484 s,@ECHO_T@,,;t t
485 s,@LIBS@,,;t t
486 s,@INSTALL_PROGRAM@,${INSTALL},;t t
487 s,@INSTALL_SCRIPT@,${INSTALL},;t t
488 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
489 s,@CYGPATH_W@,echo,;t t
490 s,@PACKAGE@,NoCatSplash,;t t
491 s,@VERSION@,0.93pre2,;t t
492 s,@ACLOCAL@,${SHELL} /home/vicente/tomato/release/src/router/nocat/missing --run aclocal-1.8,;t t
493 s,@AUTOCONF@,${SHELL} /home/vicente/tomato/release/src/router/nocat/missing --run autoconf,;t t
494 s,@AUTOMAKE@,${SHELL} /home/vicente/tomato/release/src/router/nocat/missing --run automake-1.8,;t t
495 s,@AUTOHEADER@,${SHELL} /home/vicente/tomato/release/src/router/nocat/missing --run autoheader,;t t
496 s,@MAKEINFO@,${SHELL} /home/vicente/tomato/release/src/router/nocat/missing --run makeinfo,;t t
497 s,@AMTAR@,${SHELL} /home/vicente/tomato/release/src/router/nocat/missing --run tar,;t t
498 s,@install_sh@,/home/vicente/tomato/release/src/router/nocat/install-sh,;t t
499 s,@STRIP@,mipsel-uclibc-strip -R .note -R .comment,;t t
500 s,@ac_ct_STRIP@,,;t t
501 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
502 s,@mkdir_p@,mkdir -p -- .,;t t
503 s,@AWK@,gawk,;t t
504 s,@SET_MAKE@,,;t t
505 s,@am__leading_dot@,.,;t t
506 s,@MAINTAINER_MODE_TRUE@,#,;t t
507 s,@MAINTAINER_MODE_FALSE@,,;t t
508 s,@MAINT@,#,;t t
509 s,@CC@,mipsel-uclibc-gcc,;t t
510 s,@CFLAGS@,-g -O2,;t t
511 s,@LDFLAGS@,,;t t
512 s,@CPPFLAGS@,,;t t
513 s,@ac_ct_CC@,,;t t
514 s,@EXEEXT@,,;t t
515 s,@OBJEXT@,o,;t t
516 s,@DEPDIR@,.deps,;t t
517 s,@am__include@,include,;t t
518 s,@am__quote@,,;t t
519 s,@AMDEP_TRUE@,,;t t
520 s,@AMDEP_FALSE@,#,;t t
521 s,@AMDEPBACKSLASH@,\,;t t
522 s,@CCDEPMODE@,depmode=gcc3,;t t
523 s,@am__fastdepCC_TRUE@,,;t t
524 s,@am__fastdepCC_FALSE@,#,;t t
525 s,@RANLIB@,mipsel-uclibc-ranlib,;t t
526 s,@ac_ct_RANLIB@,,;t t
527 s,@GLIB_CONFIG@,/home/vicente/tomato/release/src-rt/router/mipsel-uclibc/install/glib/usr/bin/glib-config,;t t
528 s,@GLIB_CFLAGS@,-I/home/vicente/tomato/release/src-rt/router/mipsel-uclibc/install/glib/usr/include/glib-1.2 -I/home/vicente/tomato/release/src-rt/router/mipsel-uclibc/install/glib/usr/lib/glib/include,;t t
529 s,@GLIB_LIBS@,-L/home/vicente/tomato/release/src-rt/router/mipsel-uclibc/install/glib/usr/lib -lglib,;t t
530 s,@CPP@,mipsel-uclibc-gcc -E,;t t
531 s,@EGREP@,grep -E,;t t
532 s,@POW_LIB@,-lm,;t t
533 s,@LIBOBJS@, strtod$U.o,;t t
534 s,@SPLASHD_MODE@,open.c,;t t
535 s,@GHTTPD_PROGRAM@,,;t t
536 s,@firewall@,iptables,;t t
537 s,@libexecscripts@,libexec/iptables/throttle.fw libexec/iptables/check_splashd.sh libexec/iptables/reset.fw libexec/iptables/call_splashd_check.sh libexec/iptables/initialize.fw libexec/iptables/clear.fw libexec/iptables/dump.fw libexec/iptables/access.fw libexec/iptables/uninitialize.fw ,;t t
538 s,@pkglibexecdir@,${exec_prefix}/libexec/nocat,;t t
539 s,@htdocsdir@,${prefix}/share/nocat/htdocs,;t t
540 s,@imagesdir@,${prefix}/share/nocat/htdocs/images,;t t
541 s,@pgpdir@,${prefix}/share/nocat/pgp,;t t
542 s,@LTLIBOBJS@, strtod$U.lo,;t t
543 CEOF
545 # Split the substitutions into bite-sized pieces for seds with
546 # small command number limits, like on Digital OSF/1 and HP-UX.
547 ac_max_sed_lines=48
548 ac_sed_frag=1 # Number of current file.
549 ac_beg=1 # First line for current file.
550 ac_end=$ac_max_sed_lines # Line after last line for current file.
551 ac_more_lines=:
552 ac_sed_cmds=
553 while $ac_more_lines; do
554 if test $ac_beg -gt 1; then
555 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
556 else
557 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
559 if test ! -s $tmp/subs.frag; then
560 ac_more_lines=false
561 else
562 # The purpose of the label and of the branching condition is to
563 # speed up the sed processing (if there are no `@' at all, there
564 # is no need to browse any of the substitutions).
565 # These are the two extra sed commands mentioned above.
566 (echo ':t
567 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
568 if test -z "$ac_sed_cmds"; then
569 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
570 else
571 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
573 ac_sed_frag=`expr $ac_sed_frag + 1`
574 ac_beg=$ac_end
575 ac_end=`expr $ac_end + $ac_max_sed_lines`
577 done
578 if test -z "$ac_sed_cmds"; then
579 ac_sed_cmds=cat
581 fi # test -n "$CONFIG_FILES"
583 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
584 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
585 case $ac_file in
586 - | *:- | *:-:* ) # input from stdin
587 cat >$tmp/stdin
588 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
589 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
590 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
591 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
592 * ) ac_file_in=$ac_file.in ;;
593 esac
595 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
596 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
597 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
598 X"$ac_file" : 'X\(//\)[^/]' \| \
599 X"$ac_file" : 'X\(//\)$' \| \
600 X"$ac_file" : 'X\(/\)' \| \
601 . : '\(.\)' 2>/dev/null ||
602 echo X"$ac_file" |
603 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
604 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
605 /^X\(\/\/\)$/{ s//\1/; q; }
606 /^X\(\/\).*/{ s//\1/; q; }
607 s/.*/./; q'`
608 { if $as_mkdir_p; then
609 mkdir -p "$ac_dir"
610 else
611 as_dir="$ac_dir"
612 as_dirs=
613 while test ! -d "$as_dir"; do
614 as_dirs="$as_dir $as_dirs"
615 as_dir=`(dirname "$as_dir") 2>/dev/null ||
616 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
617 X"$as_dir" : 'X\(//\)[^/]' \| \
618 X"$as_dir" : 'X\(//\)$' \| \
619 X"$as_dir" : 'X\(/\)' \| \
620 . : '\(.\)' 2>/dev/null ||
621 echo X"$as_dir" |
622 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
623 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
624 /^X\(\/\/\)$/{ s//\1/; q; }
625 /^X\(\/\).*/{ s//\1/; q; }
626 s/.*/./; q'`
627 done
628 test ! -n "$as_dirs" || mkdir $as_dirs
629 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
630 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
631 { (exit 1); exit 1; }; }; }
633 ac_builddir=.
635 if test "$ac_dir" != .; then
636 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
637 # A "../" for each directory in $ac_dir_suffix.
638 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
639 else
640 ac_dir_suffix= ac_top_builddir=
643 case $srcdir in
644 .) # No --srcdir option. We are building in place.
645 ac_srcdir=.
646 if test -z "$ac_top_builddir"; then
647 ac_top_srcdir=.
648 else
649 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
650 fi ;;
651 [\\/]* | ?:[\\/]* ) # Absolute path.
652 ac_srcdir=$srcdir$ac_dir_suffix;
653 ac_top_srcdir=$srcdir ;;
654 *) # Relative path.
655 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
656 ac_top_srcdir=$ac_top_builddir$srcdir ;;
657 esac
659 # Do not use `cd foo && pwd` to compute absolute paths, because
660 # the directories may not exist.
661 case `pwd` in
662 .) ac_abs_builddir="$ac_dir";;
664 case "$ac_dir" in
665 .) ac_abs_builddir=`pwd`;;
666 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
667 *) ac_abs_builddir=`pwd`/"$ac_dir";;
668 esac;;
669 esac
670 case $ac_abs_builddir in
671 .) ac_abs_top_builddir=${ac_top_builddir}.;;
673 case ${ac_top_builddir}. in
674 .) ac_abs_top_builddir=$ac_abs_builddir;;
675 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
676 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
677 esac;;
678 esac
679 case $ac_abs_builddir in
680 .) ac_abs_srcdir=$ac_srcdir;;
682 case $ac_srcdir in
683 .) ac_abs_srcdir=$ac_abs_builddir;;
684 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
685 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
686 esac;;
687 esac
688 case $ac_abs_builddir in
689 .) ac_abs_top_srcdir=$ac_top_srcdir;;
691 case $ac_top_srcdir in
692 .) ac_abs_top_srcdir=$ac_abs_builddir;;
693 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
694 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
695 esac;;
696 esac
699 case $INSTALL in
700 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
701 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
702 esac
704 if test x"$ac_file" != x-; then
705 { echo "$as_me:$LINENO: creating $ac_file" >&5
706 echo "$as_me: creating $ac_file" >&6;}
707 rm -f "$ac_file"
709 # Let's still pretend it is `configure' which instantiates (i.e., don't
710 # use $as_me), people would be surprised to read:
711 # /* config.h. Generated by config.status. */
712 if test x"$ac_file" = x-; then
713 configure_input=
714 else
715 configure_input="$ac_file. "
717 configure_input=$configure_input"Generated from `echo $ac_file_in |
718 sed 's,.*/,,'` by configure."
720 # First look for the input files in the build tree, otherwise in the
721 # src tree.
722 ac_file_inputs=`IFS=:
723 for f in $ac_file_in; do
724 case $f in
725 -) echo $tmp/stdin ;;
726 [\\/$]*)
727 # Absolute (can't be DOS-style, as IFS=:)
728 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
729 echo "$as_me: error: cannot find input file: $f" >&2;}
730 { (exit 1); exit 1; }; }
731 echo "$f";;
732 *) # Relative
733 if test -f "$f"; then
734 # Build tree
735 echo "$f"
736 elif test -f "$srcdir/$f"; then
737 # Source tree
738 echo "$srcdir/$f"
739 else
740 # /dev/null tree
741 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
742 echo "$as_me: error: cannot find input file: $f" >&2;}
743 { (exit 1); exit 1; }; }
744 fi;;
745 esac
746 done` || { (exit 1); exit 1; }
747 sed "/^[ ]*VPATH[ ]*=/{
748 s/:*\$(srcdir):*/:/;
749 s/:*\${srcdir}:*/:/;
750 s/:*@srcdir@:*/:/;
751 s/^\([^=]*=[ ]*\):*/\1/;
752 s/:*$//;
753 s/^[^=]*=[ ]*$//;
757 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
758 s,@configure_input@,$configure_input,;t t
759 s,@srcdir@,$ac_srcdir,;t t
760 s,@abs_srcdir@,$ac_abs_srcdir,;t t
761 s,@top_srcdir@,$ac_top_srcdir,;t t
762 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
763 s,@builddir@,$ac_builddir,;t t
764 s,@abs_builddir@,$ac_abs_builddir,;t t
765 s,@top_builddir@,$ac_top_builddir,;t t
766 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
767 s,@INSTALL@,$ac_INSTALL,;t t
768 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
769 rm -f $tmp/stdin
770 if test x"$ac_file" != x-; then
771 mv $tmp/out $ac_file
772 else
773 cat $tmp/out
774 rm -f $tmp/out
777 done
780 # CONFIG_HEADER section.
783 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
784 # NAME is the cpp macro being defined and VALUE is the value it is being given.
786 # ac_d sets the value in "#define NAME VALUE" lines.
787 ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
788 ac_dB='[ ].*$,\1#\2'
789 ac_dC=' '
790 ac_dD=',;t'
791 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
792 ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
793 ac_uB='$,\1#\2define\3'
794 ac_uC=' '
795 ac_uD=',;t'
797 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
798 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
799 case $ac_file in
800 - | *:- | *:-:* ) # input from stdin
801 cat >$tmp/stdin
802 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
803 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
804 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
805 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
806 * ) ac_file_in=$ac_file.in ;;
807 esac
809 test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
810 echo "$as_me: creating $ac_file" >&6;}
812 # First look for the input files in the build tree, otherwise in the
813 # src tree.
814 ac_file_inputs=`IFS=:
815 for f in $ac_file_in; do
816 case $f in
817 -) echo $tmp/stdin ;;
818 [\\/$]*)
819 # Absolute (can't be DOS-style, as IFS=:)
820 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
821 echo "$as_me: error: cannot find input file: $f" >&2;}
822 { (exit 1); exit 1; }; }
823 # Do quote $f, to prevent DOS paths from being IFS'd.
824 echo "$f";;
825 *) # Relative
826 if test -f "$f"; then
827 # Build tree
828 echo "$f"
829 elif test -f "$srcdir/$f"; then
830 # Source tree
831 echo "$srcdir/$f"
832 else
833 # /dev/null tree
834 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
835 echo "$as_me: error: cannot find input file: $f" >&2;}
836 { (exit 1); exit 1; }; }
837 fi;;
838 esac
839 done` || { (exit 1); exit 1; }
840 # Remove the trailing spaces.
841 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
843 # Handle all the #define templates only if necessary.
844 if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
845 # If there are no defines, we may have an empty if/fi
847 cat >$tmp/defines.sed <<CEOF
848 /^[ ]*#[ ]*define/!b
849 t clr
850 : clr
851 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"nocat"${ac_dD}
852 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"NoCatSplash"${ac_dD}
853 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"0.93pre2"${ac_dD}
854 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"nocat 0.93pre2"${ac_dD}
855 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}"schuyler@nocat.net"${ac_dD}
856 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"NoCatSplash"${ac_dD}
857 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.93pre2"${ac_dD}
858 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
859 ${ac_dA}HAVE_SYS_WAIT_H${ac_dB}HAVE_SYS_WAIT_H${ac_dC}1${ac_dD}
860 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
861 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
862 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
863 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
864 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
865 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
866 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
867 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
868 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
869 ${ac_dA}HAVE_ARPA_INET_H${ac_dB}HAVE_ARPA_INET_H${ac_dC}1${ac_dD}
870 ${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
871 ${ac_dA}HAVE_NETINET_IN_H${ac_dB}HAVE_NETINET_IN_H${ac_dC}1${ac_dD}
872 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
873 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
874 ${ac_dA}HAVE_SYS_SOCKET_H${ac_dB}HAVE_SYS_SOCKET_H${ac_dC}1${ac_dD}
875 ${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
876 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
877 ${ac_dA}HAVE_FORK${ac_dB}HAVE_FORK${ac_dC}1${ac_dD}
878 ${ac_dA}HAVE_VFORK${ac_dB}HAVE_VFORK${ac_dC}1${ac_dD}
879 ${ac_dA}HAVE_WORKING_VFORK${ac_dB}HAVE_WORKING_VFORK${ac_dC}1${ac_dD}
880 ${ac_dA}HAVE_WORKING_FORK${ac_dB}HAVE_WORKING_FORK${ac_dC}1${ac_dD}
881 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
882 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
883 ${ac_dA}HAVE_GETPAGESIZE${ac_dB}HAVE_GETPAGESIZE${ac_dC}1${ac_dD}
884 ${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
885 ${ac_dA}HAVE_MUNMAP${ac_dB}HAVE_MUNMAP${ac_dC}1${ac_dD}
886 ${ac_dA}HAVE_SOCKET${ac_dB}HAVE_SOCKET${ac_dC}1${ac_dD}
887 ${ac_dA}HAVE_STRCHR${ac_dB}HAVE_STRCHR${ac_dC}1${ac_dD}
888 ${ac_dA}HAVE_STRCSPN${ac_dB}HAVE_STRCSPN${ac_dC}1${ac_dD}
889 CEOF
890 sed -f $tmp/defines.sed $tmp/in >$tmp/out
891 rm -f $tmp/in
892 mv $tmp/out $tmp/in
894 cat >$tmp/defines.sed <<CEOF
895 /^[ ]*#[ ]*define/!b
896 t clr
897 : clr
898 ${ac_dA}HAVE_STRRCHR${ac_dB}HAVE_STRRCHR${ac_dC}1${ac_dD}
899 ${ac_dA}HAVE_STRSTR${ac_dB}HAVE_STRSTR${ac_dC}1${ac_dD}
900 ${ac_dA}HAVE_STRTOL${ac_dB}HAVE_STRTOL${ac_dC}1${ac_dD}
901 ${ac_dA}NC_FIREWALL_PATH${ac_dB}NC_FIREWALL_PATH${ac_dC}"/usr/local/libexec/nocat"${ac_dD}
902 ${ac_dA}NC_DOCUMENT_ROOT${ac_dB}NC_DOCUMENT_ROOT${ac_dC}"/usr/local/share/nocat/htdocs"${ac_dD}
903 ${ac_dA}NC_CONF_PATH${ac_dB}NC_CONF_PATH${ac_dC}"/etc"${ac_dD}
904 ${ac_dA}NC_STATE_DIR${ac_dB}NC_STATE_DIR${ac_dC}"/var"${ac_dD}
905 ${ac_dA}NC_PID_FILE${ac_dB}NC_PID_FILE${ac_dC}"/var/run/splashd.pid"${ac_dD}
906 ${ac_dA}NC_PGP_PATH${ac_dB}NC_PGP_PATH${ac_dC}"/usr/local/share/nocat/pgp"${ac_dD}
907 CEOF
908 sed -f $tmp/defines.sed $tmp/in >$tmp/out
909 rm -f $tmp/in
910 mv $tmp/out $tmp/in
912 fi # grep
914 # Handle all the #undef templates
915 cat >$tmp/undefs.sed <<CEOF
916 /^[ ]*#[ ]*undef/!b
917 t clr
918 : clr
919 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"nocat"${ac_uD}
920 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"NoCatSplash"${ac_uD}
921 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"0.93pre2"${ac_uD}
922 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"nocat 0.93pre2"${ac_uD}
923 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}"schuyler@nocat.net"${ac_uD}
924 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"NoCatSplash"${ac_uD}
925 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.93pre2"${ac_uD}
926 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
927 ${ac_uA}HAVE_SYS_WAIT_H${ac_uB}HAVE_SYS_WAIT_H${ac_uC}1${ac_uD}
928 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
929 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
930 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
931 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
932 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
933 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
934 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
935 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
936 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
937 ${ac_uA}HAVE_ARPA_INET_H${ac_uB}HAVE_ARPA_INET_H${ac_uC}1${ac_uD}
938 ${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
939 ${ac_uA}HAVE_NETINET_IN_H${ac_uB}HAVE_NETINET_IN_H${ac_uC}1${ac_uD}
940 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
941 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
942 ${ac_uA}HAVE_SYS_SOCKET_H${ac_uB}HAVE_SYS_SOCKET_H${ac_uC}1${ac_uD}
943 ${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
944 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
945 ${ac_uA}HAVE_FORK${ac_uB}HAVE_FORK${ac_uC}1${ac_uD}
946 ${ac_uA}HAVE_VFORK${ac_uB}HAVE_VFORK${ac_uC}1${ac_uD}
947 ${ac_uA}HAVE_WORKING_VFORK${ac_uB}HAVE_WORKING_VFORK${ac_uC}1${ac_uD}
948 ${ac_uA}HAVE_WORKING_FORK${ac_uB}HAVE_WORKING_FORK${ac_uC}1${ac_uD}
949 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
950 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
951 ${ac_uA}HAVE_GETPAGESIZE${ac_uB}HAVE_GETPAGESIZE${ac_uC}1${ac_uD}
952 ${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
953 ${ac_uA}HAVE_MUNMAP${ac_uB}HAVE_MUNMAP${ac_uC}1${ac_uD}
954 ${ac_uA}HAVE_SOCKET${ac_uB}HAVE_SOCKET${ac_uC}1${ac_uD}
955 ${ac_uA}HAVE_STRCHR${ac_uB}HAVE_STRCHR${ac_uC}1${ac_uD}
956 ${ac_uA}HAVE_STRCSPN${ac_uB}HAVE_STRCSPN${ac_uC}1${ac_uD}
957 CEOF
958 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
959 rm -f $tmp/in
960 mv $tmp/out $tmp/in
962 cat >$tmp/undefs.sed <<CEOF
963 /^[ ]*#[ ]*undef/!b
964 t clr
965 : clr
966 ${ac_uA}HAVE_STRRCHR${ac_uB}HAVE_STRRCHR${ac_uC}1${ac_uD}
967 ${ac_uA}HAVE_STRSTR${ac_uB}HAVE_STRSTR${ac_uC}1${ac_uD}
968 ${ac_uA}HAVE_STRTOL${ac_uB}HAVE_STRTOL${ac_uC}1${ac_uD}
969 ${ac_uA}NC_FIREWALL_PATH${ac_uB}NC_FIREWALL_PATH${ac_uC}"/usr/local/libexec/nocat"${ac_uD}
970 ${ac_uA}NC_DOCUMENT_ROOT${ac_uB}NC_DOCUMENT_ROOT${ac_uC}"/usr/local/share/nocat/htdocs"${ac_uD}
971 ${ac_uA}NC_CONF_PATH${ac_uB}NC_CONF_PATH${ac_uC}"/etc"${ac_uD}
972 ${ac_uA}NC_STATE_DIR${ac_uB}NC_STATE_DIR${ac_uC}"/var"${ac_uD}
973 ${ac_uA}NC_PID_FILE${ac_uB}NC_PID_FILE${ac_uC}"/var/run/splashd.pid"${ac_uD}
974 ${ac_uA}NC_PGP_PATH${ac_uB}NC_PGP_PATH${ac_uC}"/usr/local/share/nocat/pgp"${ac_uD}
975 s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
976 CEOF
977 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
978 rm -f $tmp/in
979 mv $tmp/out $tmp/in
981 # Let's still pretend it is `configure' which instantiates (i.e., don't
982 # use $as_me), people would be surprised to read:
983 # /* config.h. Generated by config.status. */
984 if test x"$ac_file" = x-; then
985 echo "/* Generated by configure. */" >$tmp/config.h
986 else
987 echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
989 cat $tmp/in >>$tmp/config.h
990 rm -f $tmp/in
991 if test x"$ac_file" != x-; then
992 if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
993 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
994 echo "$as_me: $ac_file is unchanged" >&6;}
995 else
996 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
997 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
998 X"$ac_file" : 'X\(//\)[^/]' \| \
999 X"$ac_file" : 'X\(//\)$' \| \
1000 X"$ac_file" : 'X\(/\)' \| \
1001 . : '\(.\)' 2>/dev/null ||
1002 echo X"$ac_file" |
1003 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1004 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1005 /^X\(\/\/\)$/{ s//\1/; q; }
1006 /^X\(\/\).*/{ s//\1/; q; }
1007 s/.*/./; q'`
1008 { if $as_mkdir_p; then
1009 mkdir -p "$ac_dir"
1010 else
1011 as_dir="$ac_dir"
1012 as_dirs=
1013 while test ! -d "$as_dir"; do
1014 as_dirs="$as_dir $as_dirs"
1015 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1016 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1017 X"$as_dir" : 'X\(//\)[^/]' \| \
1018 X"$as_dir" : 'X\(//\)$' \| \
1019 X"$as_dir" : 'X\(/\)' \| \
1020 . : '\(.\)' 2>/dev/null ||
1021 echo X"$as_dir" |
1022 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1023 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1024 /^X\(\/\/\)$/{ s//\1/; q; }
1025 /^X\(\/\).*/{ s//\1/; q; }
1026 s/.*/./; q'`
1027 done
1028 test ! -n "$as_dirs" || mkdir $as_dirs
1029 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1030 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1031 { (exit 1); exit 1; }; }; }
1033 rm -f $ac_file
1034 mv $tmp/config.h $ac_file
1036 else
1037 cat $tmp/config.h
1038 rm -f $tmp/config.h
1040 # Compute $ac_file's index in $config_headers.
1041 _am_stamp_count=1
1042 for _am_header in $config_headers :; do
1043 case $_am_header in
1044 $ac_file | $ac_file:* )
1045 break ;;
1047 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1048 esac
1049 done
1050 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
1051 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1052 X$ac_file : 'X\(//\)[^/]' \| \
1053 X$ac_file : 'X\(//\)$' \| \
1054 X$ac_file : 'X\(/\)' \| \
1055 . : '\(.\)' 2>/dev/null ||
1056 echo X$ac_file |
1057 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1058 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1059 /^X\(\/\/\)$/{ s//\1/; q; }
1060 /^X\(\/\).*/{ s//\1/; q; }
1061 s/.*/./; q'`/stamp-h$_am_stamp_count
1062 done
1065 # CONFIG_COMMANDS section.
1067 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
1068 ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1069 ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1070 ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1071 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1072 X"$ac_dest" : 'X\(//\)[^/]' \| \
1073 X"$ac_dest" : 'X\(//\)$' \| \
1074 X"$ac_dest" : 'X\(/\)' \| \
1075 . : '\(.\)' 2>/dev/null ||
1076 echo X"$ac_dest" |
1077 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1078 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1079 /^X\(\/\/\)$/{ s//\1/; q; }
1080 /^X\(\/\).*/{ s//\1/; q; }
1081 s/.*/./; q'`
1082 { if $as_mkdir_p; then
1083 mkdir -p "$ac_dir"
1084 else
1085 as_dir="$ac_dir"
1086 as_dirs=
1087 while test ! -d "$as_dir"; do
1088 as_dirs="$as_dir $as_dirs"
1089 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1090 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1091 X"$as_dir" : 'X\(//\)[^/]' \| \
1092 X"$as_dir" : 'X\(//\)$' \| \
1093 X"$as_dir" : 'X\(/\)' \| \
1094 . : '\(.\)' 2>/dev/null ||
1095 echo X"$as_dir" |
1096 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1097 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1098 /^X\(\/\/\)$/{ s//\1/; q; }
1099 /^X\(\/\).*/{ s//\1/; q; }
1100 s/.*/./; q'`
1101 done
1102 test ! -n "$as_dirs" || mkdir $as_dirs
1103 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1104 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1105 { (exit 1); exit 1; }; }; }
1107 ac_builddir=.
1109 if test "$ac_dir" != .; then
1110 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1111 # A "../" for each directory in $ac_dir_suffix.
1112 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1113 else
1114 ac_dir_suffix= ac_top_builddir=
1117 case $srcdir in
1118 .) # No --srcdir option. We are building in place.
1119 ac_srcdir=.
1120 if test -z "$ac_top_builddir"; then
1121 ac_top_srcdir=.
1122 else
1123 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1124 fi ;;
1125 [\\/]* | ?:[\\/]* ) # Absolute path.
1126 ac_srcdir=$srcdir$ac_dir_suffix;
1127 ac_top_srcdir=$srcdir ;;
1128 *) # Relative path.
1129 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1130 ac_top_srcdir=$ac_top_builddir$srcdir ;;
1131 esac
1133 # Do not use `cd foo && pwd` to compute absolute paths, because
1134 # the directories may not exist.
1135 case `pwd` in
1136 .) ac_abs_builddir="$ac_dir";;
1138 case "$ac_dir" in
1139 .) ac_abs_builddir=`pwd`;;
1140 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1141 *) ac_abs_builddir=`pwd`/"$ac_dir";;
1142 esac;;
1143 esac
1144 case $ac_abs_builddir in
1145 .) ac_abs_top_builddir=${ac_top_builddir}.;;
1147 case ${ac_top_builddir}. in
1148 .) ac_abs_top_builddir=$ac_abs_builddir;;
1149 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1150 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1151 esac;;
1152 esac
1153 case $ac_abs_builddir in
1154 .) ac_abs_srcdir=$ac_srcdir;;
1156 case $ac_srcdir in
1157 .) ac_abs_srcdir=$ac_abs_builddir;;
1158 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1159 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1160 esac;;
1161 esac
1162 case $ac_abs_builddir in
1163 .) ac_abs_top_srcdir=$ac_top_srcdir;;
1165 case $ac_top_srcdir in
1166 .) ac_abs_top_srcdir=$ac_abs_builddir;;
1167 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1168 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1169 esac;;
1170 esac
1173 { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1174 echo "$as_me: executing $ac_dest commands" >&6;}
1175 case $ac_dest in
1176 depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1177 # Strip MF so we end up with the name of the file.
1178 mf=`echo "$mf" | sed -e 's/:.*$//'`
1179 # Check whether this is an Automake generated Makefile or not.
1180 # We used to match only the files named `Makefile.in', but
1181 # some people rename them; so instead we look at the file content.
1182 # Grep'ing the first line is not enough: some people post-process
1183 # each Makefile.in and add a new line on top of each file to say so.
1184 # So let's grep whole file.
1185 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1186 dirpart=`(dirname "$mf") 2>/dev/null ||
1187 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1188 X"$mf" : 'X\(//\)[^/]' \| \
1189 X"$mf" : 'X\(//\)$' \| \
1190 X"$mf" : 'X\(/\)' \| \
1191 . : '\(.\)' 2>/dev/null ||
1192 echo X"$mf" |
1193 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1194 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1195 /^X\(\/\/\)$/{ s//\1/; q; }
1196 /^X\(\/\).*/{ s//\1/; q; }
1197 s/.*/./; q'`
1198 else
1199 continue
1201 grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
1202 # Extract the definition of DEP_FILES from the Makefile without
1203 # running `make'.
1204 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1205 test -z "$DEPDIR" && continue
1206 # When using ansi2knr, U may be empty or an underscore; expand it
1207 U=`sed -n 's/^U = //p' < "$mf"`
1208 test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
1209 # We invoke sed twice because it is the simplest approach to
1210 # changing $(DEPDIR) to its actual value in the expansion.
1211 for file in `sed -n '
1212 /^DEP_FILES = .*\\\\$/ {
1213 s/^DEP_FILES = //
1214 :loop
1215 s/\\\\$//
1218 /\\\\$/ b loop
1221 /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
1222 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1223 # Make sure the directory exists.
1224 test -f "$dirpart/$file" && continue
1225 fdir=`(dirname "$file") 2>/dev/null ||
1226 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1227 X"$file" : 'X\(//\)[^/]' \| \
1228 X"$file" : 'X\(//\)$' \| \
1229 X"$file" : 'X\(/\)' \| \
1230 . : '\(.\)' 2>/dev/null ||
1231 echo X"$file" |
1232 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1233 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1234 /^X\(\/\/\)$/{ s//\1/; q; }
1235 /^X\(\/\).*/{ s//\1/; q; }
1236 s/.*/./; q'`
1237 { if $as_mkdir_p; then
1238 mkdir -p $dirpart/$fdir
1239 else
1240 as_dir=$dirpart/$fdir
1241 as_dirs=
1242 while test ! -d "$as_dir"; do
1243 as_dirs="$as_dir $as_dirs"
1244 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1245 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1246 X"$as_dir" : 'X\(//\)[^/]' \| \
1247 X"$as_dir" : 'X\(//\)$' \| \
1248 X"$as_dir" : 'X\(/\)' \| \
1249 . : '\(.\)' 2>/dev/null ||
1250 echo X"$as_dir" |
1251 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1252 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1253 /^X\(\/\/\)$/{ s//\1/; q; }
1254 /^X\(\/\).*/{ s//\1/; q; }
1255 s/.*/./; q'`
1256 done
1257 test ! -n "$as_dirs" || mkdir $as_dirs
1258 fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1259 echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1260 { (exit 1); exit 1; }; }; }
1262 # echo "creating $dirpart/$file"
1263 echo '# dummy' > "$dirpart/$file"
1264 done
1265 done
1267 esac
1268 done
1270 { (exit 0); exit 0; }